Subject: RE: [IPTEL] Master - Slave Determination

From: "Tom-PT Taylor" <[email-masked]>
Date: Tue, 20 Jun 2000 10:36:16 -0400

Terminal Capability Set comes first.  See Rec. H.323 section 8.2.  Encoding
H.245 requires detailed understanding of ASN.1 Packed Encoding Rules (very
few people are willing to undertake this task) or use of a commercial
compiler provided by OSS.  You can also buy stacks from various providers.
If you want to acquire the documents defining ASN.1 Packed Encoding Rules
(ITU-T Recommendations X.680 and X.691), you can purchase them from the
ITU-T at http://www.itu.int/ITU-T/index.html 

> -----Original Message-----
> From:	Suntichai Chusywong [SMTP:[email-masked]]
> Sent:	Monday, June 19, 2000 2:20 PM
> To:	iptel
> Cc:	s4110400
> Subject:	[IPTEL] Master - Slave Determination
> 
> I wonder when Master - Slave Determinaiton message wil be sent, before or
> after sending Terminal Capability Set message? After Determining which
> Endpoint is master, what do we use this result for?
>  
>  I don't understand how to encoding H.245 message, what will I do if I
> want to encode these message easily. If you have any tool to help me,
> please send me
>         
>                                                                 Thank you
> very much 
>  
> Suntichai Chuaywong